# radius_put_vendor_int

(PECL radius >= 1.1.0)

radius_put_vendor_int — Attaches a vendor specific integer attribute

### Beschreibung

radius_put_vendor_int(
resource `$radius_handle`,
int `$vendor`,
int `$type`,
int `$value`,
int `$options` = 0,
int `$tag` = ?
): bool

Attaches a vendor specific integer attribute to the current RADIUS request.

> Hinweis:

> Bevor diese Funktion aufgerufen werden kann, muss mittels radius_create_request() eine Anfrage erstellt werden.

### Parameter-Liste

`radius_handle`

  Die RADIUS-Ressource.

`vendor`

  Die Anbieter-ID.

`type`

  Der Typ des Attributs.

`value`

  The attribute value.

`options`

  Eine Bitmaske der Attribut-Optionen; zur Verfügung stehen die Optionen `RADIUS_OPTION_TAGGED` und `RADIUS_OPTION_SALT`.

`tag`

  Das Attribut-Tag. Dieser Parameter wird nur berücksichtigt, wenn die Option `RADIUS_OPTION_TAGGED` gesetzt ist.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### Siehe auch

- radius_put_vendor_string() - Attaches a vendor specific string attribute

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open